[arch-commits] Commit in tcsh/trunk (6 files)

Eric Belanger eric at archlinux.org
Mon Aug 4 00:56:32 UTC 2008


    Date: Sunday, August 3, 2008 @ 20:56:31
  Author: eric
Revision: 7771

upgpkg: tcsh 6.15.01-3
    Moved tcsh and csh binaries from /usr/bin to /bin (close FS#10568), Added scripts for legacy support, FHS man pages

Added:
  tcsh/trunk/usr_csh.sh
  tcsh/trunk/usr_tcsh.sh
Modified:
  tcsh/trunk/ChangeLog
  tcsh/trunk/PKGBUILD
  tcsh/trunk/csh.login
  tcsh/trunk/tcsh.install

--------------+
 ChangeLog    |    7 +++++++
 PKGBUILD     |   32 ++++++++++++++++----------------
 csh.login    |    2 +-
 tcsh.install |   23 ++++++++++++++++-------
 usr_csh.sh   |    9 +++++++++
 usr_tcsh.sh  |    9 +++++++++
 6 files changed, 58 insertions(+), 24 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-08-03 20:23:20 UTC (rev 7770)
+++ ChangeLog	2008-08-04 00:56:31 UTC (rev 7771)
@@ -1,3 +1,10 @@
+2008-08-02  Eric Belanger  <eric at archlinux.org>
+
+	* tcsh 6.15.01-3
+	* Moved tcsh and csh binaries from /usr/bin to /bin (close FS#10568)
+	* Added scripts for legacy support
+	* FHS man pages
+
 2008-03-02  Eric Belanger  <eric at archlinux.org>
 
 	* tcsh 6.15.01-2

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-03 20:23:20 UTC (rev 7770)
+++ PKGBUILD	2008-08-04 00:56:31 UTC (rev 7771)
@@ -4,30 +4,30 @@
 
 pkgname=tcsh
 pkgver=6.15.01
-pkgrel=2
+pkgrel=3
 pkgdesc="Enhanced version of the Berkeley C shell"
 arch=('i686' 'x86_64')
 url="http://www.tcsh.org/Welcome"
 license=('BSD')
 depends=('ncurses')
 install=tcsh.install
-source=(ftp://ftp.astron.com/pri/$pkgname-$pkgver.tar.gz csh.cshrc \
-        csh.login tcsh.config.skel)
+source=(ftp://ftp.astron.com/pri/${pkgname}-${pkgver}.tar.gz csh.cshrc \
+        csh.login tcsh.config.skel usr_csh.sh usr_tcsh.sh)
 md5sums=('0563ce3d604b84b564dea7fd7bd87832' '299cd79eb3cbc2a3caeac1c3a0309556'\
-         'e00fe0339280074b1c2e0b8f63bc5d19' '6bd69d3c815412ada4579ac8f8cc9c45')
-sha1sums=('f73f0a62cf59087b13be0c1552b69bbe7ef7f7b1'
-          '8ebcee4e6c934481a46fe40c15d52a53ed5744bb'
-          'bf350706deff296817aea1aec9e592a2c13d7032'
-          '73a0ae17f2e3dcf2d3ae871982e8591379e1800e')
+         '4869b9da87c79854e2cc97241f125853' '6bd69d3c815412ada4579ac8f8cc9c45'\
+         '2b672c67b5e08ab81fbb03d8588d25e3' '8758b20326f00a1057bd95a300c28355')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/ --sysconfdir=/etc --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install install.man
-  install -d $startdir/pkg/etc/skel
-  install -m644 ../{csh.cshrc,csh.login} $startdir/pkg/etc/
-  install -m644 ../tcsh.config.skel $startdir/pkg/etc/skel/.tcsh.config
-  ln -s tcsh $startdir/pkg/usr/bin/csh
-  install -D -m644 Copyright $startdir/pkg/usr/share/licenses/$pkgname/Copyright
+  make DESTDIR=${pkgdir} install install.man || return 1
+
+  install -D -m644 ${srcdir}/csh.cshrc ${pkgdir}/etc/csh.cshrc || return 1
+  install -D -m644 ${srcdir}/csh.login ${pkgdir}/etc/csh.login || return 1
+  install -D -m644 ${srcdir}/tcsh.config.skel ${pkgdir}/etc/skel/.tcsh.config || return 1
+  ln -s tcsh ${pkgdir}/bin/csh || return 1
+  install -D -m 755 ${srcdir}/usr_tcsh.sh ${pkgdir}/usr/bin/tcsh || return 1
+  install -D -m 755 ${srcdir}/usr_csh.sh ${pkgdir}/usr/bin/csh || return 1
+  install -D -m644 Copyright ${pkgdir}/usr/share/licenses/${pkgname}/Copyright || return 1
 }

Modified: csh.login
===================================================================
--- csh.login	2008-08-03 20:23:20 UTC (rev 7770)
+++ csh.login	2008-08-04 00:56:31 UTC (rev 7771)
@@ -30,7 +30,7 @@
 ##
 ## Set our SHELL variable.
 ##
-setenv SHELL /usr/bin/tcsh
+setenv SHELL /bin/tcsh
 
 ##
 ## Setup a default MAIL variable

Modified: tcsh.install
===================================================================
--- tcsh.install	2008-08-03 20:23:20 UTC (rev 7770)
+++ tcsh.install	2008-08-04 00:56:31 UTC (rev 7771)
@@ -1,8 +1,17 @@
 post_install() {
-	if [ ! "`grep /usr/bin/tcsh etc/shells`" ]; then
-		echo "updating /etc/shells... done."
-		sed -i "s|/bin/bash|/bin/bash\n/usr/bin/tcsh\n/usr/bin/csh|" etc/shells
-	fi
+  if [ ! "`grep /bin/tcsh etc/shells`" ]; then
+    echo "updating /etc/shells... done."
+    sed -i "s|/bin/bash|/bin/bash\n/bin/tcsh\n/bin/csh|" etc/shells
+  else
+    sed -i "s|/usr/bin/tcsh|/bin/tcsh|" etc/shells
+    sed -i "s|/usr/bin/csh|/bin/csh|" etc/shells
+
+    echo ""
+    echo ">> WARNING: /usr/bin/tcsh has moved to /bin/tcsh,"
+    echo ">> WARNING: /usr/bin/csh has moved to /bin/csh,"
+    echo ">> please update your user accounts as needed"
+    echo ""
+  fi
 }
 
 post_upgrade() {
@@ -10,7 +19,7 @@
 }
 
 pre_remove() {
-	echo -ne "\nupdating /etc/shells... "
-	sed -i "\|/usr/bin/tcsh|d" etc/shells
-  sed -i "\|/usr/bin/csh|d" etc/shells
+  echo "updating /etc/shells... done."
+  sed -i "\|/bin/tcsh|d" etc/shells
+  sed -i "\|/bin/csh|d" etc/shells
 }

Added: usr_csh.sh
===================================================================
--- usr_csh.sh	                        (rev 0)
+++ usr_csh.sh	2008-08-04 00:56:31 UTC (rev 7771)
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+echo "WARNING: you should be calling csh with /bin/csh,"
+echo "not with /usr/bin/csh. Please execute chsh to fix"
+echo "this. Legacy /usr/bin/csh support will go away!"
+echo ""
+
+exec /bin/csh $@
+

Added: usr_tcsh.sh
===================================================================
--- usr_tcsh.sh	                        (rev 0)
+++ usr_tcsh.sh	2008-08-04 00:56:31 UTC (rev 7771)
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+echo "WARNING: you should be calling tcsh with /bin/tcsh,"
+echo "not with /usr/bin/tcsh. Please execute chsh to fix"
+echo "this. Legacy /usr/bin/tcsh support will go away!"
+echo ""
+
+exec /bin/tcsh $@
+




More information about the arch-commits mailing list